Package org.springframework.web.servlet.resource

# Interface VersionStrategy

All Superinterfaces:
  `VersionPathStrategy`

All Known Implementing Classes:
  `AbstractVersionStrategy`, `ContentVersionStrategy`, `FixedVersionStrategy`

public interface VersionStrategy extends VersionPathStrategy
An extension of `VersionPathStrategy` that adds a method to determine the actual version of a `Resource`.

Since:
  4.1
Author:
  Brian Clozel, Rossen Stoyanchev
See Also:
  - `VersionResourceResolver`

## Method Summary

Modifier and Type
Method
Description
`String`
`getResourceVersion(org.springframework.core.io.Resource resource)`
Determine the version for the given resource.

### Methods inherited from interface org.springframework.web.servlet.resource.VersionPathStrategy

`addVersion, extractVersion, removeVersion`

## Method Details

### getResourceVersion

String getResourceVersion(org.springframework.core.io.Resource resource)
Determine the version for the given resource.

Parameters:
  `resource` - the resource to check
Returns:
  the version (never `null`)